# SDL Visual Test: SDLVisualTest_Variator Struct Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
SDLVisualTest_Variator Struct Reference

`#include <SDL_visualtest_variators.h>`

## Data Fields

SDLVisualTest_VariatorType | type
union {
SDLVisualTest_ExhaustiveVariator exhaustive
SDLVisualTest_RandomVariator random
} | data

## Detailed Description

Struct that acts like a wrapper around the different types of variators available.

## Field Documentation

union { ... } data

union object that stores the variator

SDLVisualTest_VariatorType type

Type of the variator

The documentation for this struct was generated from the following file:

- C:/Users/DELL/Work/sdlvisualtest/visualtest/include/SDL_visualtest_variators.h